#ifndef MFILLADCSPECT_H
#define MFILLADCSPECT_H

#ifndef MAGIC_H
#include "MAGIC.h"
#endif

#ifndef MTASK_H
#include "MTask.h"
#endif

class MParList;
class MHistosAdc;
class MRawEvtData;

class MFillAdcSpect : public MTask {
 private:
  MRawEvtData      *fRawEvtData;

  MHistosAdc       *fHistos ; 

 public:   
  MFillAdcSpect (const char *name=NULL, const char *title=NULL); 

  Bool_t PreProcess(MParList *pList);
  Bool_t Process() ;
  
  ClassDef(MFillAdcSpect, 1)	// Task to fill a MHistosAdc Container with data

};
    
#endif

